Libreelec 9 Kodi 18 - Audio Passthrough missing entirely

  • Hello,


    I just made a clean install of libreelec 9 with Kodi 18 and i no longer have passthrough audio.

    The settings are missing and you can not enable the feature.


    I have a WeTek Play 1 and it was working fine with version 8.2.5.

    My setup is as follows:


    * wetek via HDMI ---> TV

    * Sony DVD Player used as AMP via optical and HDMI ---> TV


    WIth this setup i could hear both the TV and the WeTek out of the surround speakers of the Sony DVD Player


    No changes made to the settings of the TV and also no changes in the cabling.


    I have done some research and it seems to be a KODI issue:


    Passthrough Changes with v17


    They have dropped support for passthrough for devices that might produce loud, uncomfortable noise that can harm your ears.


    The solution seems to be to use KODI "shitty" build " that's what they call it " and that version does not conform with the new "safety" regulation.


    Is there a libreelec version with the shitty kodi build ? if no can there be one ?


    is there any other solution to my problem that i may be not aware ?


    Thanks

    Chris

  • Not too sure the "images" help.


    What mode are you running. Basic is the normal for new installations. Options are Basic/Standard/Advanced/Expert

  • Not too sure the "images" help.


    What mode are you running. Basic is the normal for new installations. Options are Basic/Standard/Advanced/Expert

    Not in basic mode ( expert mode ) , sync Playback to Display is not selected and i don't have headphones connected.


    The images do help one says ANALOGUE and the other says SPDIF on the outputs.

    On the new Kodi i only have analogue out so that's why passthrough does not work

  • My suggestion is to revert back to version 8.2.5 or replace your WeTek Play 1. I'm pretty sure I read in another thread that the Play 1 is no longer supported.

  • My suggestion is to revert back to version 8.2.5 or replace your WeTek Play 1. I'm pretty sure I read in another thread that the Play 1 is no longer supported.

    But if i revert back to the older version none of my plugins work anymore :/ that's why i wanted to upgrade.